From 0785667d630acf269af554f538c19da181e5253f Mon Sep 17 00:00:00 2001
From: wireless <thewireless@netcourrier.com>
Date: Mon, 16 Sep 2024 18:28:31 +0200
Subject: [PATCH] Add nostrip mozcfg for MacPorts compatibility

---
 G4-7450-nostrip.mozcfg | 25 +++++++++++++++++++++++++
 G5-nostrip.mozcfg      | 26 ++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)
 create mode 100644 G4-7450-nostrip.mozcfg
 create mode 100644 G5-nostrip.mozcfg

diff --git a/G4-7450-nostrip.mozcfg b/G4-7450-nostrip.mozcfg
new file mode 100644
index 000000000..55ceca904
--- /dev/null
+++ b/G4-7450-nostrip.mozcfg
@@ -0,0 +1,25 @@
+. $topsrcdir/browser/config/mozconfig
+export CC="/opt/local/bin/gcc-mp-4.8 -flax-vector-conversions -O3 -mcpu=7450 -mtune=7450 -falign-loops=16 -falign-functions=16 -falign-labels=16 -falign-jumps=16 -read_only_relocs suppress -mdynamic-no-pic"
+export CXX="/opt/local/bin/g++-mp-4.8 -flax-vector-conversions -fpermissive -O3 -mcpu=7450 -mtune=7450 -falign-loops=16 -falign-functions=16 -falign-labels=16 -falign-jumps=16 -read_only_relocs suppress -mdynamic-no-pic"
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-ff-dbg
+mk_add_options MOZ_MAKE_FLAGS="-s -j2"
+mk_add_options AUTOCONF=autoconf213
+ac_add_options --disable-tests
+ac_add_options --disable-static
+ac_add_options --enable-optimize
+ac_add_options --disable-cpp-exceptions
+ac_add_options --disable-debug
+ac_add_options --disable-crashreporter
+ac_add_options --disable-webrtc
+ac_add_options --disable-necko-wifi
+ac_add_options --disable-webspeech
+ac_add_options --disable-accessibility
+ac_add_options --enable-printing
+ac_add_options --enable-prebinding
+ac_add_options --enable-macos-target=10.4
+ac_add_options --enable-chrome-format=jar
+ac_add_options --with-macos-sdk=/Developer/SDKs/MacOSX10.4u.sdk
+ac_add_options --enable-tenfourfox-vmx
+ac_add_options --with-system-jpeg
+ac_add_options --with-distribution-id=org.blackbirdlc
+
diff --git a/G5-nostrip.mozcfg b/G5-nostrip.mozcfg
new file mode 100644
index 000000000..734baa38d
--- /dev/null
+++ b/G5-nostrip.mozcfg
@@ -0,0 +1,26 @@
+. $topsrcdir/browser/config/mozconfig
+export CC="/opt/local/bin/gcc-mp-4.8 -flax-vector-conversions -O3 -mcpu=G5 -m32 -falign-loops=32 -falign-functions=32 -falign-labels=32 -falign-jumps=32 -mmfcrf -mpowerpc-gpopt -read_only_relocs suppress -force_cpusubtype_ALL -mdynamic-no-pic -D_PPC970_"
+export CXX="/opt/local/bin/g++-mp-4.8 -flax-vector-conversions -fpermissive -O3 -mcpu=G5 -m32 -falign-loops=32 -falign-functions=32 -falign-labels=32 -falign-jumps=32 -mmfcrf -mpowerpc-gpopt -read_only_relocs suppress -force_cpusubtype_ALL -mdynamic-no-pic -D_PPC970_"
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-ff-dbg
+mk_add_options MOZ_MAKE_FLAGS="-s -j2"
+mk_add_options AUTOCONF=autoconf213
+ac_add_options --disable-tests
+ac_add_options --disable-static
+ac_add_options --enable-optimize
+ac_add_options --disable-cpp-exceptions
+ac_add_options --disable-debug
+ac_add_options --disable-crashreporter
+ac_add_options --disable-webrtc
+ac_add_options --disable-necko-wifi
+ac_add_options --disable-webspeech
+ac_add_options --disable-accessibility
+ac_add_options --enable-printing
+ac_add_options --enable-prebinding
+ac_add_options --enable-macos-target=10.4
+ac_add_options --enable-chrome-format=jar
+ac_add_options --with-macos-sdk=/Developer/SDKs/MacOSX10.4u.sdk
+ac_add_options --enable-tenfourfox-vmx
+ac_add_options --enable-tenfourfox-g5
+ac_add_options --with-system-jpeg
+ac_add_options --with-distribution-id=org.blackbirdlc
+
-- 
2.43.0

